<?xml version="1.0" encoding="utf-8"?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
  <xsl:output method="html" encoding="utf-8"/>


  <xsl:template match="B9ED_PrintPatchSet">
    <html>
      <head>
      </head>
      <body>
        <h1>PatchSet : <xsl:value-of select="Category/@name"/></h1>
        <table border="3" width="100%">
          <tbody>
            <tr>
              <xsl:apply-templates select="Category/Patch"/>
            </tr>
          </tbody>
        </table>
      </body>
    </html>
  </xsl:template>


  <xsl:template match="B9ED_PrintPatchLibraries">
    <html>
      <head>
      </head>
      <body>
        <h1>PatchLibrary : <xsl:value-of select="Category/@name"/></h1>
        <table border="3" width="100%">
          <tbody>
            <tr>
              <xsl:apply-templates select="Category/Patch"/>
            </tr>
          </tbody>
        </table>
      </body>
    </html>
  </xsl:template>


  <xsl:template match="Patch">
    <table border="2" width="100%">
      <tbody>
        <tr>
          <th width="30%"><xsl:value-of select="@name"/></th>
          <td colspan="8"><xsl:value-of select="Name"/></td>
        </tr>
        <tr>
          <td colspan="8" width="100%"><xsl:value-of select="Comment"/></td>
        </tr>
        <tr>
          <xsl:apply-templates select="B9_PreAmp"/>
        </tr>
        <tr>
          <xsl:apply-templates select="Comp"/>
        </tr>
        <tr>
          <xsl:apply-templates select="Wah"/>
        </tr>
        <tr>
          <xsl:apply-templates select="Mod"/>
        </tr>
        <tr>
          <xsl:apply-templates select="Cabi"/>
        </tr>
        <tr>
          <xsl:apply-templates select="Del"/>
        </tr>
        <tr>
          <xsl:apply-templates select="Rev"/>
        </tr>
        <tr>
          <xsl:apply-templates select="B9_Total"/>
        </tr>
        <tr>
          <td>^</td>
        </tr>
      </tbody>
    </table>
  </xsl:template>


  <xsl:template match="B9_PreAmp">
    <table border="1" width="100%">
      <tbody>
        <tr>
          <xsl:apply-templates select="Amp"/>
          <xsl:apply-templates select="EQ"/>
          <xsl:apply-templates select="Znr"/>
          <xsl:apply-templates select="Ext"/>
        </tr>
      </tbody>
    </table>
  </xsl:template>

  <xsl:template match="Amp">
    <table border="1" width="100%">
      <tbody>
        <tr>
          <th rowspan="2" width="12%">Amp <xsl:value-of select="@alt"/></th>
          <th>State</th>
          <th>Type</th>
          <th><xsl:value-of select="Parm1/@title"/></th>
          <th><xsl:value-of select="Parm2/@title"/></th>
          <th><xsl:value-of select="Parm3/@title"/></th>
          <th><xsl:value-of select="Parm4/@title"/></th>
          <th><xsl:value-of select="Parm5/@title"/></th>
          <th><xsl:value-of select="Parm6/@title"/></th>
        </tr>
        <tr>
          <td><xsl:value-of select="State"/></td>
          <td><xsl:value-of select="Type"/></td>
          <td><xsl:value-of select="Parm1"/></td>
          <td><xsl:value-of select="Parm2"/></td>
          <td><xsl:value-of select="Parm3"/></td>
          <td><xsl:value-of select="Parm4"/></td>
          <td><xsl:value-of select="Parm5"/></td>
          <td><xsl:value-of select="Parm6"/></td>
        </tr>
      </tbody>
    </table>
  </xsl:template>

  <xsl:template match="EQ">
    <table border="1" width="100%">
      <tbody>
        <tr>
          <th rowspan="7" width="12%">EQ <xsl:value-of select="@alt"/></th>
          <th>State</th>
          <th>Band</th>
          <th>Type</th>
          <th>f</th>
          <th>Gain</th>
        </tr>
        <tr>
          <td rowspan="6"><xsl:value-of select="State"/></td>
          <td><xsl:value-of select="Parm1/@title"/></td>
          <td><xsl:value-of select="Parm1/@type"/></td>
          <td><xsl:value-of select="Parm1/@frequency"/></td>
          <td><xsl:value-of select="Parm1/@gain"/></td>
        </tr>
        <tr>
          <td><xsl:value-of select="Parm2/@title"/></td>
          <td><xsl:value-of select="Parm2/@type"/></td>
          <td><xsl:value-of select="Parm2/@frequency"/></td>
          <td><xsl:value-of select="Parm2/@gain"/></td>
        </tr>
        <tr>
          <td><xsl:value-of select="Parm3/@title"/></td>
          <td><xsl:value-of select="Parm3/@type"/></td>
          <td><xsl:value-of select="Parm3/@frequency"/></td>
          <td><xsl:value-of select="Parm3/@gain"/></td>
        </tr>
        <tr>
          <td><xsl:value-of select="Parm4/@title"/></td>
          <td><xsl:value-of select="Parm4/@type"/></td>
          <td><xsl:value-of select="Parm4/@frequency"/></td>
          <td><xsl:value-of select="Parm4/@gain"/></td>
        </tr>
        <tr>
          <td><xsl:value-of select="Parm5/@title"/></td>
          <td><xsl:value-of select="Parm5/@type"/></td>
          <td><xsl:value-of select="Parm5/@frequency"/></td>
          <td><xsl:value-of select="Parm5/@gain"/></td>
        </tr>
        <tr>
          <td><xsl:value-of select="Parm6/@title"/></td>
          <td><xsl:value-of select="Parm6/@type"/></td>
          <td><xsl:value-of select="Parm6/@frequency"/></td>
          <td><xsl:value-of select="Parm6/@gain"/></td>
        </tr>
      </tbody>
    </table>
  </xsl:template>

  <xsl:template match="Znr">
    <table border="1" width="100%">
      <tbody>
        <tr>
          <th rowspan="2" width="12%">ZNR <xsl:value-of select="@alt"/></th>
          <th>State</th>
          <th>Type</th>
          <th><xsl:value-of select="Parm1/@title"/></th>
        </tr>
        <tr>
          <td><xsl:value-of select="State"/></td>
          <td><xsl:value-of select="Type"/></td>
          <td><xsl:value-of select="Parm1"/></td>
        </tr>
      </tbody>
    </table>
  </xsl:template>

  <xsl:template match="Ext">
    <table border="1" width="100%">
      <tbody>
        <tr>
          <th rowspan="2" width="12%">EXT</th>
          <th>State</th>
          <th><xsl:value-of select="Parm1/@title"/></th>
          <th><xsl:value-of select="Parm2/@title"/></th>
          <th><xsl:value-of select="Parm3/@title"/></th>
        </tr>
        <tr>
          <td><xsl:value-of select="State"/></td>
          <td><xsl:value-of select="Parm1"/></td>
          <td><xsl:value-of select="Parm2"/></td>
          <td><xsl:value-of select="Parm3"/></td>
        </tr>
      </tbody>
    </table>
  </xsl:template>


  <xsl:template match="Comp">
    <table border="1" width="100%">
      <tbody>
        <tr>
          <th rowspan="2" width="12%">Compressor</th>
          <th>State</th>
          <th>Type</th>
          <th><xsl:value-of select="Parm1/@title"/></th>
          <th><xsl:value-of select="Parm2/@title"/></th>
          <th><xsl:value-of select="Parm3/@title"/></th>
          <th><xsl:value-of select="Parm4/@title"/></th>
        </tr>
        <tr>
          <td><xsl:value-of select="State"/></td>
          <td><xsl:value-of select="Type"/></td>
          <td><xsl:value-of select="Parm1"/></td>
          <td><xsl:value-of select="Parm2"/></td>
          <td><xsl:value-of select="Parm3"/></td>
          <td><xsl:value-of select="Parm4"/></td>
        </tr>
      </tbody>
    </table>
  </xsl:template>

  <xsl:template match="Wah">
    <table border="1" width="100%">
      <tbody>
        <tr>
          <th rowspan="2" width="12%">Wah/EFX 1</th>
          <th>State</th>
          <th>Type</th>
          <th><xsl:value-of select="Parm1/@title"/></th>
          <th><xsl:value-of select="Parm2/@title"/></th>
          <th><xsl:value-of select="Parm3/@title"/></th>
          <th><xsl:value-of select="Parm4/@title"/></th>
        </tr>
        <tr>
          <td><xsl:value-of select="State"/></td>
          <td><xsl:value-of select="Type"/></td>
          <td><xsl:value-of select="Parm1"/></td>
          <td><xsl:value-of select="Parm2"/></td>
          <td><xsl:value-of select="Parm3"/></td>
          <td><xsl:value-of select="Parm4"/></td>
        </tr>
      </tbody>
    </table>
  </xsl:template>

  <xsl:template match="Mod">
    <table border="1" width="100%">
      <tbody>
        <tr>
          <th rowspan="2" width="12%">Modulation<br />/EFX 2</th>
          <th>State</th>
          <th>Type</th>
          <th><xsl:value-of select="Parm1/@title"/></th>
          <th><xsl:value-of select="Parm2/@title"/></th>
          <th><xsl:value-of select="Parm3/@title"/></th>
          <th><xsl:value-of select="Parm4/@title"/></th>
        </tr>
        <tr>
          <td><xsl:value-of select="State"/></td>
          <td><xsl:value-of select="Type"/></td>
          <td><xsl:value-of select="Parm1"/></td>
          <td><xsl:value-of select="Parm2"/></td>
          <td><xsl:value-of select="Parm3"/></td>
          <td><xsl:value-of select="Parm4"/></td>
        </tr>
      </tbody>
    </table>
  </xsl:template>

  <xsl:template match="Cabi">
    <table border="1" width="100%">
      <tbody>
        <tr>
          <th rowspan="2" width="12%">Cabinet</th>
          <th>State</th>
          <th>Type</th>
          <th><xsl:value-of select="Parm1/@title"/></th>
          <th><xsl:value-of select="Parm2/@title"/></th>
          <th><xsl:value-of select="Parm3/@title"/></th>
        </tr>
        <tr>
          <td><xsl:value-of select="State"/></td>
          <td><xsl:value-of select="Type"/></td>
          <td><xsl:value-of select="Parm1"/></td>
          <td><xsl:value-of select="Parm2"/></td>
          <td><xsl:value-of select="Parm3"/></td>
        </tr>
      </tbody>
    </table>
  </xsl:template>


  <xsl:template match="Del">
    <table border="1" width="100%">
      <tbody>
        <tr>
          <th rowspan="2" width="12%">Delay</th>
          <th>State</th>
          <th>Type</th>
          <th><xsl:value-of select="Parm1/@title"/></th>
          <th><xsl:value-of select="Parm2/@title"/></th>
          <th><xsl:value-of select="Parm3/@title"/></th>
          <th><xsl:value-of select="Parm4/@title"/></th>
        </tr>
        <tr>
          <td><xsl:value-of select="State"/></td>
          <td><xsl:value-of select="Type"/></td>
          <td><xsl:value-of select="Parm1"/></td>
          <td><xsl:value-of select="Parm2"/></td>
          <td><xsl:value-of select="Parm3"/></td>
          <td><xsl:value-of select="Parm4"/></td>
        </tr>
      </tbody>
    </table>
  </xsl:template>

  <xsl:template match="Rev">
    <table border="1" width="100%">
      <tbody>
        <tr>
          <th rowspan="2" width="12%">Reverb</th>
          <th>State</th>
          <th>Type</th>
          <th><xsl:value-of select="Parm1/@title"/></th>
          <th><xsl:value-of select="Parm2/@title"/></th>
          <th><xsl:value-of select="Parm3/@title"/></th>
          <th><xsl:value-of select="Parm4/@title"/></th>
        </tr>
        <tr>
          <td><xsl:value-of select="State"/></td>
          <td><xsl:value-of select="Type"/></td>
          <td><xsl:value-of select="Parm1"/></td>
          <td><xsl:value-of select="Parm2"/></td>
          <td><xsl:value-of select="Parm3"/></td>
          <td><xsl:value-of select="Parm4"/></td>
        </tr>
      </tbody>
    </table>
  </xsl:template>

  <xsl:template match="B9_Total">
    <table border="1" width="100%">
      <tbody>
        <tr>
          <th rowspan="4" width="12%">Total</th>
          <th>Patch Level</th>
          <th>Tempo</th>
          <th>Balance</th>
          <th>VolumePedal</th>
          <th>Function1</th>
          <th>Function2</th>
          <th>Function3</th>
        </tr>
        <tr>
          <td><xsl:value-of select="Level"/></td>
          <td><xsl:value-of select="Tempo"/>BPM</td>
          <td><xsl:value-of select="Balance"/></td>
          <td><xsl:value-of select="VolumePedal"/></td>
          <td><xsl:value-of select="Pedal1Function"/></td>
          <td><xsl:value-of select="Pedal2Function"/></td>
          <td><xsl:value-of select="Pedal3Function"/></td>
        </tr>
        <tr>
          <th>FootSW1</th>
          <th>FootSW2</th>
          <th>FootSW3</th>
          <th>FootSW4</th>
        </tr>
        <tr>
          <td><xsl:value-of select="FS1Function"/></td>
          <td><xsl:value-of select="FS2Function"/></td>
          <td><xsl:value-of select="FS3Function"/></td>
          <td><xsl:value-of select="FS4Function"/></td>
        </tr>
        <tr>
          <xsl:apply-templates select="ARRM"/>
        </tr>
        <tr>
          <xsl:apply-templates select="Pedal"/>
        </tr>
      </tbody>
    </table>
  </xsl:template>

  <xsl:template match="ARRM">
    <table border="1" width="100%">
      <tbody>
        <tr>
          <th rowspan="2" width="12%">ARRM</th>
          <th>Target</th>
          <th>Min</th>
          <th>Max</th>
          <th>Wave Type</th>
          <th>Synchronize</th>
        </tr>
        <tr>
          <td><xsl:value-of select="Target"/></td>
          <td><xsl:value-of select="Min"/></td>
          <td><xsl:value-of select="Max"/></td>
          <td><xsl:value-of select="Wave"/></td>
          <td><xsl:value-of select="Sync"/></td>
        </tr>
      </tbody>
    </table>
  </xsl:template>

  <xsl:template match="Pedal">
    <table border="1" width="100%">
      <tbody>
        <tr>
          <th rowspan="5" width="12%">Pedal <xsl:value-of select="@equip"/></th>
          <th>Assign</th>
          <th>Min</th>
          <th>Max</th>
          <th>Pedal Switch</th>
        </tr>
        <xsl:apply-templates select="PedalParm"/>
      </tbody>
    </table>
  </xsl:template>

  <xsl:template match="PedalParm">
    <tr>
      <td><xsl:value-of select="Assign"/></td>
      <td><xsl:value-of select="Min"/></td>
      <td><xsl:value-of select="Max"/></td>
      <td><xsl:value-of select="PedalSwitch"/></td>
    </tr>
  </xsl:template>



</xsl:stylesheet>

